import type { Bud } from '@roots/bud-framework';
import type { Plugin as CopyPlugin } from '@roots/bud-support/copy-webpack-plugin';
type FromToTuple = [string, string];
export type Parameters = [
    (Array<CopyPlugin.ObjectPattern | FromToTuple | string> | CopyPlugin.ObjectPattern | string),
    Partial<CopyPlugin.ObjectPattern>?
];
export interface assets {
    (...parameters: Parameters): Promise<Bud>;
}
export declare const assets: assets;
/**
 * Take an input string and return a {@link CopyPlugin.ObjectPattern}
 */
export declare const fromStringFactory: (app: Bud, overrides: Partial<CopyPlugin.ObjectPattern>) => (from: string) => CopyPlugin.ObjectPattern;
/**
 * Take an input [from,to] tuple and return a {@link CopyPlugin.ObjectPattern}
 */
export declare const fromTupleFactory: (app: Bud, overrides: Partial<CopyPlugin.ObjectPattern>) => (from: string, to: string) => CopyPlugin.ObjectPattern;
export {};
