import type { Bud } from '@roots/bud-framework';
import type { Plugin as CopyPlugin } from '@roots/bud-support/copy-webpack-plugin';
type FromToTuple = [string, string];
export type Parameters = [
    FromToTuple | string,
    string?,
    Partial<CopyPlugin.ObjectPattern>?
];
export interface copyDir {
    (...parameters: Parameters): Promise<Bud>;
}
export declare const copyDir: copyDir;
/**
 * Take an input string and return a {@link CopyPlugin.ObjectPattern}
 */
export declare const fromStringFactory: (app: Bud, overrides: Partial<CopyPlugin.ObjectPattern>) => (from: string, context: string) => CopyPlugin.ObjectPattern;
/**
 * Take an input [from, to] tuple and return a {@link CopyPlugin.ObjectPattern}
 */
export declare const fromTupleFactory: (app: Bud, overrides: Partial<CopyPlugin.ObjectPattern>) => (from: string, to: string, context: string) => CopyPlugin.ObjectPattern;
export {};
